<?php
/**
 * @package Themetastico
 */
?>
<?php
	if( 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']) )
		die ( __('Please do not load this page directly. Thanks.', 'themetastico') );
?>

			<div id="comments">

<?php if( post_password_required() ) { ?>
				<div class="nopassword">
					<?php _e( 'This post is protected. Enter the password to view any comments.', 'themetastico' ) ?>
				</div>
				
			</div><!-- .comments -->
<?php
		return;
} 

if( have_comments() ) :
$ping_count = $comment_count = 0; // set to 0 number of pings and comments

foreach ( $comments as $comment ) {
	get_comment_type() == "comment" ? ++$comment_count : ++$ping_count; //increase counter
}
	
	if( ! empty($comments_by_type['comment']) ) :
?>
				<div id="comments-list" class="comments">
				
					<h3><?php printf($comment_count > 1 ? __('%d comments', 'themetastico') : __('One comment', 'themetastico'), $comment_count); ?></h3>
					<p class="comments-top-links"><?php post_comments_feed_link(__('RSS feed for comments', 'themetastico')); ?> | <a href="<?php trackback_url(); ?>" rel="trackback"><?php _e('Trackback URI', 'themetastico'); ?></a></p>

					<div id="comments-nav-below" class="comment-navigation">
						<div class="paginated-comments-links"><?php paginate_comments_links(); ?></div>
					</div>

					<ol class="comment-list">
<?php wp_list_comments('type=comment&callback=themetastico_comments'); ?>
					</ol>

					<div id="comments-nav-above" class="comment-navigation">
						<div class="paginated-comments-links"><?php paginate_comments_links(); ?></div>
					</div>

				</div><!-- #comments-list .comments -->

<?php endif; // REFERENCE: if( ! empty($comments_by_type['comment']) ) ?>
<?php if( ! empty($comments_by_type['pings']) ) : ?>

				<div id="trackbacks-list" class="comments">
				
					<h3><?php printf($ping_count > 1 ? __('%d trackbacks', 'themetastico') : __('One trackback', 'themetastico'), $ping_count) ?></h3>

					<ol class="ping-list">
<?php wp_list_comments('type=pings&callback=themetastico_pings'); ?>
					</ol>
					
				</div><!-- #trackbacks-list .comments -->

<?php 
	endif; // REFERENCE: if( ! empty($comments_by_type['pings']) )
endif; // REFERENCE: if( have_comments() )
?>

<?php 
$args_comment_form = array(
	'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email is <em>never</em> shared.', 'themetastico' ) . '</p>',
	'comment_notes_after'  => '<p class="form-allowed-tags"></p>',
	'id_submit'            => 'button-submit-comment',
	'label_submit'         => __( 'Post Comment', 'themetastico' )
);

comment_form($args_comment_form); 
?>
	
				</div><!-- #comments -->
