<?php
/**
 * @package Themetastico
 */
?>
<?php get_header() ?>

	<div id="content-box">
	
		<div id="content" class="hfeed">
<?php the_post() ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<div class="headline-area">
					
					<h1 class="entry-title"><?php the_title() ?></h1>

					<div class="headline-meta">

						<span class="comments-link"><a href="<?php the_permalink() ?>#comments"><?php comments_number( __('0 comments', 'themetastico'), __('1 comment', 'themetastico'), __('% comments', 'themetastico') ) ?></a></span> 

						<?php echo get_avatar( get_the_author_meta('user_email'), 24, get_template_directory_uri().'/images/avatar.png', get_the_author_meta('display_name') ); ?>
						
						<span class="author vcard"><?php _e('By', 'themetastico') ?> <a class="url fn n" href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>" title="<?php printf( __( 'View all posts by %s', 'themetastico' ), get_the_author_meta('display_name') ); ?>"><?php the_author_meta('display_name'); ?></a></span> 

						<?php printf( __('<abbr class="published" title="%1$sT%2$s">On %3$s</abbr>', 'themetastico'), get_the_time('Y-m-d'), get_the_time('H:i:sO'), get_the_time('j \d\e F \d\e Y') ) ?>
						
						<?php edit_post_link( __( 'Edit', 'themetastico' ), " [<span class=\"edit-link\">", "</span>] \n" ) ?>

					</div>
										
				</div><!-- .headline-area -->		

				<?php echo themetastico_post_ad_code(); ?>

				<div class="format-text entry-content">
				
					<div class="entry-attachment"><?php echo wp_get_attachment_image( $post->ID, 'large' ); ?></div><!-- .entry-attachment -->

					<div class="entry-caption"><?php if( !empty($post->post_excerpt) ) the_excerpt() ?></div><!-- .entry-caption -->
					
					<?php the_content( __( 'Continue reading <span class="meta-nav">&raquo;</span>', 'themetastico' ) ); ?>

					<h3 class="parent-entry-title"><?php _e('Return to:', 'themetastico'); ?> <a href="<?php echo get_permalink($post->post_parent) ?>" title="<?php printf( __( 'Return to %s', 'themetastico' ), esc_html( get_the_title($post->post_parent), 1 ) ) ?>" rev="attachment"><?php echo get_the_title($post->post_parent) ?></a></h3>
				
					<div id="nav-images" class="navigation">
						<div class="nav-previous"><?php previous_image_link() ?></div><!-- .nav-previous -->
						<div class="nav-next"><?php next_image_link() ?></div><!-- .nav-next -->
					</div><!-- #nav-images -->

				</div><!-- .entry-content -->
				
				<?php echo themetastico_post_ad_code(); ?>
				
				<div class="entry-meta">

					<?php if( comments_open() ) : // Comments open ?>
						<span class="comments-respond"><a href="<?php the_permalink() ?>#respond" title="<?php _e('Post a comment', 'themetastico') ?>"><?php _e('Post a comment', 'themetastico') ?> &raquo;</a></span>
					<?php endif; ?>
						
						<div class="share-entry">
							<?php themetastico_sharing(); ?>
						</div><!-- .share-entry -->

				</div><!-- .entry-meta -->
			
			</div><!-- #post-<?php the_ID(); ?> -->

			<?php comments_template('', true); ?>

			<?php echo themetastico_post_ad_code(); ?>

		</div><!-- #content .hfeed -->

<?php get_sidebar() ?>
<?php get_footer() ?>