/*
 * jQuery Easing v1.3 - http://gsgd.co.uk/sandbox/jquery/easing/
 *
 * Uses the built in easing capabilities added In jQuery 1.1
 * to offer multiple easing options
 *
 * TERMS OF USE - jQuery Easing
 * 
 * Open source under the BSD License. 
 * 
 * Copyright Â© 2008 George McGinley Smith
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of 
 * conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list 
 * of conditions and the following disclaimer in the documentation and/or other materials 
 * provided with the distribution.
 * 
 * Neither the name of the author nor the names of contributors may be used to endorse 
 * or promote products derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 *  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 *  GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE. 
 *
*/
jQuery.easing['jswing']=jQuery.easing['swing'];jQuery.extend(jQuery.easing,{def:'easeOutQuad',swing:function(x,t,b,c,d){return jQuery.easing[jQuery.easing.def](x,t,b,c,d);},easeInQuad:function(x,t,b,c,d){return c*(t/=d)*t+b;},easeOutQuad:function(x,t,b,c,d){return-c*(t/=d)*(t-2)+b;},easeInOutQuad:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t+b;return-c/2*((--t)*(t-2)-1)+b;},easeInCubic:function(x,t,b,c,d){return c*(t/=d)*t*t+b;},easeOutCubic:function(x,t,b,c,d){return c*((t=t/d-1)*t*t+1)+b;},easeInOutCubic:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t*t+b;return c/2*((t-=2)*t*t+2)+b;},easeInQuart:function(x,t,b,c,d){return c*(t/=d)*t*t*t+b;},easeOutQuart:function(x,t,b,c,d){return-c*((t=t/d-1)*t*t*t-1)+b;},easeInOutQuart:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t*t*t+b;return-c/2*((t-=2)*t*t*t-2)+b;},easeInQuint:function(x,t,b,c,d){return c*(t/=d)*t*t*t*t+b;},easeOutQuint:function(x,t,b,c,d){return c*((t=t/d-1)*t*t*t*t+1)+b;},easeInOutQuint:function(x,t,b,c,d){if((t/=d/2)<1)return c/2*t*t*t*t*t+b;return c/2*((t-=2)*t*t*t*t+2)+b;},easeInSine:function(x,t,b,c,d){return-c*Math.cos(t/d*(Math.PI/2))+c+b;},easeOutSine:function(x,t,b,c,d){return c*Math.sin(t/d*(Math.PI/2))+b;},easeInOutSine:function(x,t,b,c,d){return-c/2*(Math.cos(Math.PI*t/d)-1)+b;},easeInExpo:function(x,t,b,c,d){return(t==0)?b:c*Math.pow(2,10*(t/d-1))+b;},easeOutExpo:function(x,t,b,c,d){return(t==d)?b+c:c*(-Math.pow(2,-10*t/d)+1)+b;},easeInOutExpo:function(x,t,b,c,d){if(t==0)return b;if(t==d)return b+c;if((t/=d/2)<1)return c/2*Math.pow(2,10*(t-1))+b;return c/2*(-Math.pow(2,-10*--t)+2)+b;},easeInCirc:function(x,t,b,c,d){return-c*(Math.sqrt(1-(t/=d)*t)-1)+b;},easeOutCirc:function(x,t,b,c,d){return c*Math.sqrt(1-(t=t/d-1)*t)+b;},easeInOutCirc:function(x,t,b,c,d){if((t/=d/2)<1)return-c/2*(Math.sqrt(1-t*t)-1)+b;return c/2*(Math.sqrt(1-(t-=2)*t)+1)+b;},easeInElastic:function(x,t,b,c,d){var s=1.70158;var p=0;var a=c;if(t==0)return b;if((t/=d)==1)return b+c;if(!p)p=d*.3;if(a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;},easeOutElastic:function(x,t,b,c,d){var s=1.70158;var p=0;var a=c;if(t==0)return b;if((t/=d)==1)return b+c;if(!p)p=d*.3;if(a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);return a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b;},easeInOutElastic:function(x,t,b,c,d){var s=1.70158;var p=0;var a=c;if(t==0)return b;if((t/=d/2)==2)return b+c;if(!p)p=d*(.3*1.5);if(a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);if(t<1)return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;},easeInBack:function(x,t,b,c,d,s){if(s==undefined)s=1.70158;return c*(t/=d)*t*((s+1)*t-s)+b;},easeOutBack:function(x,t,b,c,d,s){if(s==undefined)s=1.70158;return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;},easeInOutBack:function(x,t,b,c,d,s){if(s==undefined)s=1.70158;if((t/=d/2)<1)return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;},easeInBounce:function(x,t,b,c,d){return c-jQuery.easing.easeOutBounce(x,d-t,0,c,d)+b;},easeOutBounce:function(x,t,b,c,d){if((t/=d)<(1/2.75)){return c*(7.5625*t*t)+b;}else if(t<(2/2.75)){return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;}else if(t<(2.5/2.75)){return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;}else{return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;}},easeInOutBounce:function(x,t,b,c,d){if(t<d/2)return jQuery.easing.easeInBounce(x,t*2,0,c,d)*.5+b;return jQuery.easing.easeOutBounce(x,t*2-d,0,c,d)*.5+c*.5+b;}});
/*
	jQuery Coda-Slider v2.0 - http://www.ndoherty.biz/coda-slider
	Copyright (c) 2009 Niall Doherty
	This plugin available for use in all personal or commercial projects under both MIT and GPL licenses.
*/
$(function(){$("body").removeClass("featured-slider-no-js");$(".featured-slider").children('.panel').hide().end().prepend('<p class="loading">Loading...</p>');});var sliderCount=1;$.fn.codaSlider=function(settings){settings=$.extend({autoHeight:false,autoHeightEaseDuration:1000,autoHeightEaseFunction:"easeInOutExpo",autoSlide:true,autoSlideInterval:6000,autoSlideStopWhenClicked:true,crossLinking:true,dynamicArrows:false,dynamicArrowLeftText:"« left",dynamicArrowRightText:"right »",dynamicTabs:true,dynamicTabsAlign:"center",dynamicTabsPosition:"bottom",externalTriggerSelector:"a.xtrig",firstPanelToLoad:1,panelTitleSelector:"h2.featured-title",slideEaseDuration:1000,slideEaseFunction:"easeInOutExpo"},settings);return this.each(function(){var slider=$(this);var panelWidth=slider.find(".panel").width();var panelCount=slider.find(".panel").size();var panelcontent_boxWidth=panelWidth*panelCount;var navClicks=0;$('.panel',slider).wrapAll('<div class="panel-content_box"></div>');$(".panel-content_box",slider).css({width:panelcontent_boxWidth});if(settings.crossLinking&&location.hash&&parseInt(location.hash.slice(1))<=panelCount){var currentPanel=parseInt(location.hash.slice(1));var offset=-(panelWidth*(currentPanel-1));$('.panel-content_box',slider).css({marginLeft:offset});}else if(settings.firstPanelToLoad!=1&&settings.firstPanelToLoad<=panelCount){var currentPanel=settings.firstPanelToLoad;var offset=-(panelWidth*(currentPanel-1));$('.panel-content_box',slider).css({marginLeft:offset});}else{var currentPanel=1;};if(settings.dynamicTabs){var dynamicTabs='<div class="featured-nav" id="featured-nav-'+sliderCount+'"><ul></ul></div>';switch(settings.dynamicTabsPosition){case"bottom":slider.parent().append(dynamicTabs);break;default:slider.parent().prepend(dynamicTabs);break;};ul=$('#featured-nav-'+sliderCount+' ul');$('.panel',slider).each(function(n){ul.append('<li class="tab'+(n+1)+'"><a href="#'+(n+1)+'">'+$(this).find(settings.panelTitleSelector).text()+'</a></li>');});navcontent_boxWidth=slider.width()+slider.siblings('.featured-nav-left').width()+slider.siblings('.featured-nav-right').width();ul.parent().css({width:navcontent_boxWidth});switch(settings.dynamicTabsAlign){case"center":ul.css({width:($("li",ul).width()+2)*panelCount});break;case"right":ul.css({float:'right'});break;};};$('#featured-nav-'+sliderCount+' a').each(function(z){$(this).bind("click",function(){navClicks++;$(this).addClass('current').parents('ul').find('a').not($(this)).removeClass('current');offset=-(panelWidth*z);alterPanelHeight(z);currentPanel=z+1;$('.panel-content_box',slider).animate({marginLeft:offset},settings.slideEaseDuration,settings.slideEaseFunction);if(!settings.crossLinking){return false};});});$(settings.externalTriggerSelector).each(function(){if(sliderCount==parseInt($(this).attr("rel").slice(12))){$(this).bind("click",function(){navClicks++;targetPanel=parseInt($(this).attr("href").slice(1));offset=-(panelWidth*(targetPanel-1));alterPanelHeight(targetPanel-1);currentPanel=targetPanel;slider.siblings('.featured-nav').find('a').removeClass('current').parents('ul').find('li:eq('+(targetPanel-1)+') a').addClass('current');$('.panel-content_box',slider).animate({marginLeft:offset},settings.slideEaseDuration,settings.slideEaseFunction);if(!settings.crossLinking){return false};});};});if(settings.crossLinking&&location.hash&&parseInt(location.hash.slice(1))<=panelCount){$("#featured-nav-"+sliderCount+" a:eq("+(location.hash.slice(1)-1)+")").addClass("current");}else if(settings.firstPanelToLoad!=1&&settings.firstPanelToLoad<=panelCount){$("#featured-nav-"+sliderCount+" a:eq("+(settings.firstPanelToLoad-1)+")").addClass("current");}else{$("#featured-nav-"+sliderCount+" a:eq(0)").addClass("current");};if(settings.autoHeight){panelHeight=$('.panel:eq('+(currentPanel-1)+')',slider).height();slider.css({height:panelHeight});};if(settings.autoSlide){slider.ready(function(){setTimeout(autoSlide,settings.autoSlideInterval);});};function alterPanelHeight(x){if(settings.autoHeight){panelHeight=$('.panel:eq('+x+')',slider).height()
slider.animate({height:panelHeight},settings.autoHeightEaseDuration,settings.autoHeightEaseFunction);};};function autoSlide(){if(navClicks==0||!settings.autoSlideStopWhenClicked){if(currentPanel==panelCount){var offset=0;currentPanel=1;}else{var offset=-(panelWidth*currentPanel);currentPanel+=1;};alterPanelHeight(currentPanel-1);slider.siblings('.featured-nav').find('a').removeClass('current').parents('ul').find('li:eq('+(currentPanel-1)+') a').addClass('current');$('.panel-content_box',slider).animate({marginLeft:offset},settings.slideEaseDuration,settings.slideEaseFunction);setTimeout(autoSlide,settings.autoSlideInterval);};};$('.panel',slider).show().end().find("p.loading").remove();slider.removeClass("preload");sliderCount++;});};
/* jQuery Callbacks */
$(document).ready(function(){
	$('#featured-slider').codaSlider();
});