<?php
/**
 * @package Themetastico
 */
?>
<?php
/*
Template Name: Archives Page
*/
?>
<?php get_header() ?>

	<div id="content-box">
	
		<div id="content" class="hfeed">

<?php the_post() ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
				<div class="headline-area">
					<h1 class="entry-title"><?php the_title() ?></h1>
				</div>
								
				<div class="format-text entry-content">
				
					<?php the_content( __( 'Continue reading <span class="meta-nav">&raquo;</span>', 'themetastico' ) ); ?>
					<?php wp_link_pages('before=<div class="post-pages pagination"><span class="pages">' . __( 'Pages:', 'themetastico' ) . '</span>&after=</div>') ?>
				
					<ul id="archives-page" class="archives">
						<li id="category-archives">
							<h3><?php _e( 'Archives by Category', 'themetastico' ) ?></h3>
							<ul>
								<?php wp_list_categories('optioncount=1&title_li=&show_count=1') ?> 
							</ul>
						</li>
						<li id="monthly-archives">
							<h3><?php _e( 'Archives by Month', 'themetastico' ) ?></h3>
							<ul>
								<?php wp_get_archives('type=monthly&show_post_count=1') ?>
							</ul>
						</li>
					</ul>

				</div><!-- .entry-content -->
				
				<div class="entry-meta">
					
				<?php if( themetastico_has_sharing() ) : ?>
					<div class="share-entry">
						<?php themetastico_sharing(); ?>
					</div>
				<?php endif; ?>

				</div><!-- .entry-meta -->
				
			</div><!-- #post-<?php the_ID(); ?> -->


		</div><!-- #content .hfeed -->
		
<?php get_sidebar() ?>
<?php get_footer() ?>