<?php
/**
 * @package Themetastico
 */
?>
<?php if( !is_404() ) : ?>
	<div id="sidebar-1" class="sidebar">
		<ul class="widgets">

<?php if( is_front_page() && dynamic_sidebar('home_sidebar') ) : // home_sidebar ?>			
<?php elseif( ( is_single() || is_attachment() ) && dynamic_sidebar('single_sidebar') ) : // single_sidebar  ?>
<?php elseif( is_page() && dynamic_sidebar('page_sidebar') ) : // page_sidebar  ?>
<?php elseif( is_archive() && dynamic_sidebar('archive_sidebar') ) : // archive_sidebar  ?>
<?php elseif( is_search() && dynamic_sidebar('search_sidebar') ) : // search_sidebar  ?>
<?php else: ?>

			<li id="themetastico_followus" class="widget-container widget-themetastico-followus">
				<?php widget_themetastico_followus(); ?> 
			</li>

			<li id="pages" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Pages', 'themetastico' ); ?></h3>
				<ul>
					<?php wp_list_pages('title_li=&sort_column=menu_order'); ?> 
				</ul>
			</li>

			<li id="categories" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Categories', 'themetastico' ); ?></h3>
				<ul>
					<?php wp_list_categories('title_li=&show_count=0&hierarchical=1'); ?> 
				</ul>
			</li>

<?php wp_list_bookmarks('title_before=<h3 class="widget-title">&title_after=</h3>&show_images=0&category_before=<li id="%id" class="widget-container %class">'); ?>

			<li id="meta" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Meta', 'themetastico' ); ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</li>

<?php endif; // end sidebars  ?>
		</ul><!-- .widgets -->
	</div><!-- #sidebar-1 -->
	
<?php if( themetastico_which_css() == 'both' ) : ?>
	<div id="sidebar-2" class="sidebar">
		<ul class="widgets">
<?php if( is_front_page() && dynamic_sidebar('home_sidebar_secondary') ) : // home_sidebar_secondary ?>			
<?php elseif( ( is_single() || is_attachment() ) && dynamic_sidebar('single_sidebar_secondary') ) : // single_sidebar_secondary  ?>
<?php elseif( is_page() && dynamic_sidebar('page_sidebar_secondary') ) : // page_sidebar_secondary  ?>
<?php elseif( is_archive() && dynamic_sidebar('archive_sidebar_secondary') ) : // archive_sidebar_secondary  ?>
<?php elseif( is_search() && dynamic_sidebar('search_sidebar_secondary') ) : // search_sidebar_secondary  ?>
<?php else: ?>

			<li id="archives" class="widget-container">
				<h3 class="widget-title"><?php _e( 'Archives', 'themetastico' ); ?></h3>
				<ul>
					<?php wp_get_archives('type=monthly'); ?>
				</ul>
			</li>

<?php endif; // end sidebars  ?>
		</ul><!-- .widgets -->
	</div><!-- #sidebar-2 -->
<?php endif; // if themetastico_which_css() == 'both'  ?>
<?php endif; // if !is_404()  ?>
