<?php
/**
 * @package Themetastico
 */
?>
<?php get_header() ?>

	<div id="content-box">
	
		<div id="content" class="hfeed">

<?php the_post() ?>

			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							
				<div class="headline-area">
					
					<h1 class="entry-title"><?php the_title() ?></h1>

					<div class="headline-meta">

						<span class="comments-link"><a href="<?php the_permalink() ?>#comments"><?php comments_number( __('0 comments', 'themetastico'), __('1 comment', 'themetastico'), __('% comments', 'themetastico') ) ?></a></span> 

						<?php echo get_avatar( get_the_author_meta('user_email'), 24, get_template_directory_uri().'/images/avatar.png', get_the_author_meta('display_name') ); ?>
						
						<span class="author vcard"><?php _e('By', 'themetastico') ?> <a class="url fn n" href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>" title="<?php printf( __( 'View all posts by %s', 'themetastico' ), get_the_author_meta('display_name') ); ?>"><?php the_author_meta('display_name'); ?></a></span> 

						<?php printf( __('<abbr class="published" title="%1$sT%2$s">On %3$s</abbr>', 'themetastico'), get_the_time('Y-m-d'), get_the_time('H:i:sO'), get_the_time('j \d\e F \d\e Y') ) ?>
						
						<?php edit_post_link( __( 'Edit', 'themetastico' ), " [<span class=\"edit-link\">", "</span>] \n" ) ?>

					</div>
										
				</div><!-- .headline-area -->		
				
				<?php echo themetastico_post_ad_code(); ?>

				<div class="format-text entry-content">

					<?php the_content( __( 'Continue reading <span class="meta-nav">&raquo;</span>', 'themetastico' ) ); ?>
					<?php wp_link_pages('before=<div class="post-pages pagination"><span class="pages">' . __( 'Pages:', 'themetastico' ) . '</span>&after=</div>') ?>
				
				</div><!-- .entry-content -->
				
				<?php echo themetastico_post_ad_code(); ?>

				<div class="entry-meta">

					<?php if( comments_open() ) : // Comments open ?>
						<span class="comments-respond"><a href="<?php the_permalink() ?>#respond" title="<?php _e('Post a comment', 'themetastico') ?>"><?php _e('Post a comment', 'themetastico') ?> &raquo;</a></span>
					<?php endif; ?>
						
						<span class="entry-categories"><?php _e('Filed under:', 'themetastico'); ?> <?php the_category(', '); ?></span>
						
						<?php the_tags(__('<span class="entry-tags"><em>Tagged:</em> ', 'themetastico'), ' ', '</span>'); ?>

						<div class="share-entry">
							<?php themetastico_sharing(); ?>
						</div>

				</div><!-- .entry-meta -->
				
			</div><!-- #post-<?php the_ID(); ?> -->
			
			<div id="nav-posts" class="navigation">
				<div class="next-post"><?php next_post_link( '%link', __('Next post &rarr;', 'themetastico') ) ?></div>
				<div class="previous-post"><?php previous_post_link( '%link', __('&larr; Previous post', 'themetastico') ) ?></div>
			</div><!-- #nav-posts -->
			
			<?php echo themetastico_post_ad_code(); ?>

			<?php comments_template('', true); ?>
			
			<?php pre_footer(); ?>

		</div><!-- #content .hfeed -->
		
<?php get_sidebar() ?>
<?php get_footer() ?>