<?php
/**
 * @package Themetastico
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes() ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="content-type" content="<?php bloginfo('html_type') ?>; charset=<?php bloginfo('charset') ?>" />
<title><?php wp_title(''); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri() ?>/css/style.css" media="all" />
<link rel="pingback" href="<?php bloginfo('pingback_url') ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<div id="container">
  <div id="page">

    <div id="header">
		<p id="logo"><a href="<?php echo home_url('/'); ?>"><?php bloginfo('name') ?></a></p>
		<?php wp_nav_menu('theme_location=top_links&menu_class=header-top-links-list&menu_id=menu-top&fallback_cb=&depth=1&container_id=header-top-links'); ?>
		<div id="navigation-top">
			<div class="main-menu">
				<?php wp_nav_menu('theme_location=header_menu&menu_class=menu&menu_id=menu&fallback_cb=themetastico_pages_nav_menu&depth=3&container='); ?>
			</div>
			<div id="search-box-top">
				<?php get_search_form(); ?>
			</div><!-- #search-box-top -->
		</div>
    </div><!--  #header -->

	<?php echo themetastico_header_ad_code(); ?>
